# Class PickResultEmpty

Represents a pick operation where nothing was picked.

##### Index

### Constructors

constructor

### Properties

hitInfo
type
instance

### Methods

equals

## Constructors

### constructor

- new PickResultEmpty(): PickResultEmpty

  #### Returns PickResultEmpty

## Properties

### `Readonly` hitInfo

hitInfo: Intersection[] = ...

Always empty since its a empty pick operation.

### type

type: Empty = PickResultType.Empty

Discriminant union selector

### `Static` `Readonly` instance

instance: PickResultEmpty = ...

Reusable instance for use with pick operations yielding a empty result.

## Methods

### equals

- equals(pickResult: PickResult): boolean

  Compare two PickResult instances.

  #### Parameters

  - pickResult: PickResult

  #### Returns boolean